Menu

Documentation protothèque v 3.2

Quelques explications sur l'utilisation de Protothèque :

Qu'est-ce que protothèque?
Installation/Désinstallation de protothèque.
Charger une figure.
Récupérer le prototype d'une figure.
Récupérer tous les prototypes d'une figure.
Supprimer un prototype de la protothèque ou d'une figure.
Enregistrer une figure.
Mettre un prototype dans une figure.
Créer une nouvelle figure (vide).
Editer l'interface (texte) d'un prototype.
Comment utiliser protothèque avec GéoplanW.
 Utiliser le menu création de triangles.
Utiliser le menu afficher une longueur.
Utiliser le menu insérer un vecteur.
Utiliser le menu insérer un texte.
Foire Aux Questions


C'est quoi protothèque?

Qu'est-ce que protothèque ?

Protothèque est un logiciel programmé en Delphi qui permet d'ajouter ou retirer les prototypes d'un fichier Géoplan sans utiliser le copier/coller de l'éditeur de figure et bien d'autres choses encore.

Au démarrage, la fenêtre Protothèque s'ouvre comme sur la capture d'écran ci-dessous : La partie de gauche représente votre protothèque, c'est-à-dire votre banque de prototypes; la partie de droite contient les prototypes de la figure sur laquelle vous travaillez.

En bas de votre écran, vous trouvez les informations concernant le prototype selectionné : Son nom, le nom de l'auteur, sa date de création et diverses informations (si celles-ci ont été remplies par l'auteur). Ces informations sont internes à Protothèque, c'est à dire qu'elles n'apparaissent pas dans les figures Géoplan. Elles peuvent être changées à tout moment, alors respectez le droit d'auteur :). Enfin la partie infos, n'a pas forcément le même contenu que l'aide du prototype. Pour modifier l'aide du prototype, allez à ce chapitre.

Retour


Installation de protothèque.

Pour installer le programme, il vous suffit de lancer le programme ProtoT_32.exe que vous avez téléchargé, puis de suivre les instructions.
Si vous voulez profiter pleinement des fonctionnalités de protothèque, il faut avoir installé GéoplanW version 2 avant et les activeX du CREEM.
Si vous aviez déjà la version 2 de protothèque et que vous voulez garder vos prototypes :

Créez une figure vide sous Géoplan.
Importez tous vos prototypes dans la figure.
Enregistrez votre figure à un endroit sûr.
Installez protothèque 3.0.
Aspirer tous les prototypes, comme indiqué ici.

Si vous aviez déjà la version 3.0 ou 3.1 de protothèque, l'installation met à jour vos prototypes sans perdre vos prototypes personnels

Désinstallation de protothèque

Pour désinstaller le programme, il vous suffit d'effacer le dossier où celui-ci est installé, puis de supprimer manuellement le(s) raccourci(s).


Charger une figure.

Pour charger une figure dans protothèque :

allez dans le menu fichier, puis charger.

ou

Cliquez sur l'icone ouvrir dans la partie de droite.


Récupérer un prototype.

Recupérer un prototype

Pour récupérer le prototype d'une figure :

Chargez la figure qui contient le prototype.
Sélectionnez le prototype voulu en cliquant dessus pour le mettre en bleu.
Vous pouvez :

Le faire glisser dans le repertoire voulu de votre protothèque.
ou
 Cliquer sur le bouton [image] , dans ce cas le prototype est ajouté dans le repertoire NOUVEAUX

Vous pouvez aussi décider d'aspirer (récuperer) tous les prototypes d'un coup.


Récuperer tous les prototypes.

Recupérer tous les prototypes

Même principe que pour récuperer un prototype, mais cliquez sur le bouton


Supprimer un prototype.

Sélectionnez le prototype à supprimer en cliquant dessus (dans la protothèque ou la figure).
Cliquez sur la poubelle [image] ou appuyez sur la touche suppr.

ATTENTION : Supprimer un prototype de la protothèque est définif. Supprimer un prototype d'une figure, ne prend effet qu'une fois la figure enregistrée.


Enregistrer une figure.

Pour enregistrer une figure dans protothèque :

allez dans le menu fichier, puis enregistrer.

ou

Cliquez sur l'icone disquette dans la partie de droite.
ATTENTION : Quand vous retournerez dans géoplan, pensez à recharger votre figure pour que les éventuels changements soient pris en compte.

Comme vous êtes malin, vous avez deviné qu'il suffit de cliquer sur [image] pour enregistrer la figure sous un nom différent !


Mettre un prototype dans une figure.

Pour mettre un prototype dans une figure :

Chargez la figure où vous voulez insérer le prototype ou créez-en une nouvelle.
Sélectionnez dans la protothèque, le prototype voulu en cliquant dessus pour le mettre en bleu.
Vous pouvez :

Le faire glisser sur la figure à l'endroit voulu
ou
Cliquer sur le bouton [image] , dans ce cas, le prototype est inséré en dernière position.

ATTENTION : Si vous utilisez des prototypes de prototypes, il faut insérer en premier le prototype "indépendant". Par exemple si le prototype double flèche utilise le prototype flèche simple. Vous inserez d'abord flèche simple et ensuite double flèche. Ainsi, GéoplanW connaitra flèche simple au moment de tracer double flèche.


Créer une nouvelle figure.

Pour créer une nouvelle figure sous protothèque :

Allez dans le menu fichier, puis choisissez "Nouvelle figure du plan" ou "Nouvelle figure de l'espace". Vous pouvez aussi utiliser les boutons de raccourcis à droite, sous votre figure

La nouvelle figure ainsi créée est identique à une nouvelle figure (vide) créée sous Géoplan. Vous pouvez ensuite y rajouter les prototypes dont vous aurez besoin ou ajouter un triangle.....


Editer le texte d'un prototype.

Editer l'interface (texte) d'un prototype.

Pour modifier le texte d'un prototype :

Sélectionnez dans la protothèque ou la figure, le prototype voulu en cliquant dessus pour le mettre en bleu.
Cliquez sur le bouton
Une nouvelle fenêtre s'ouvre alors, comparable à celle ci-contre, dans le cas ici d'une symétrie cercle. Comme vous avez pu le constater, GéoplanW appelle les antécédents : Antécédent1, Antécédent2, .....et le Résultat : Résultat, ce qui risque de ne plus être parlant si vous utilisez les prototypes irrégulièrement.

On pouvait jusqu'à présent cependant modifier le texte, mais il fallait le faire manuellement en utilisant l'éditeur de texte de GéoplanW.

Modifiez donc le nom des antécédents comme vous le souhaitez.

Vous pouvez aussi préciser quelques lignes d'aide pour expliquer l'utilisation de votre prototype. Cette aide s'affichera si l'utilisateur clique sur [aide] quand il utilisera votre prototype sous GéoplanW.


Comment utiliser protothèque avec GéoplanW?

Comment utiliser protothèque avec GéoplanW.

Voici une démarche que je vous conseille pour l'utilisation de protothèque :

Lancez protothèque avant GéoplanW.

Si vous voulez travailler sur une figure déjà existante, ouvrez-la et effectuez les changements voulus, sinon créez-en une nouvelle.

Quand vous avez fait les changements nécessaires, ENREGISTREZ-LA et ouvrez-la sous GéoplanW en cliquant sur le bouton [image]:
Quand vous en avez fini avec géoplanW et que vous voulez retourner sous protothèque, il est conseillé

D'enregistrer la figure modifiée.
DE FERMER la figure (ou même Géoplan si vous n'avez qu'une seule figure en cours)
De revenir sous protothèque. Si vous n'avez pas changer les options, l'actualisation des changements sera automatique.


Comment utiliser protothèque avec GéoplanW?

Utiliser le menu Création de triangles.

Le menu création de triangles se présente comme sur la photo ci-contre. il permet évidemment de créer des triangles sur une figure vide...mais la force de protothèque est de proposer de créer des triangles sur une figure déjà existante !

Quelques points à remarquer :

Si vous imposez "trop" de conditions, protothèque ignorera les contraintes qui ne sont pas nécessaires à la construction. (Même si celles-ci sont incompatibles). Par exemple si vous décidez de créer un nouveau triangle ABC avec AB=AC=BC=3 et B=90°, Protothèque créera un triangle isocèle de 3cm de côté et vous indiquera que la mesure de l'angle B a été ignorée.

Si le nombre de conditions est insuffisant pour obtenir un triangle "unique", vous pourrez déplacer les points selon les degrés de liberté que vous avez fixé. Par exemple si vous décidez de créer un nouveau triangle ABC vérifiant AB=5 et ACB=30°. Vous obtiendrez un triangle direct ABC répondant à ces conditions, vous pourrez alors :
Déplacer le point A sur votre feuille Géoplan.
 Déplacer le point B le long d'un cercle (caché) de centre A et de rayon 5.
 Déplacer le point C sur l'arc capable défini comme l'ensemble des points C du plan vérifiant ACB=30°

Vous pouvez aussi afficher et coder les longueurs des côtés et les mesures des angles.


Comment utiliser protothèque avec GéoplanW?

Utiliser le menu Afficher la longueur d'un segment.

Le menu afficher la longueur d'un segment se présente comme sur la photo ci-contre. il permet d'afficher la longueur d'un segment (sans le tracer)

Quelques points à remarquer :

Vous pouvez :
 Soit afficher la longueur réelle du segment dans l'unité par défaut, dans ce cas celle-ci sera évidemment automatiquement ajustée lorsque vous déplacerez les extrémités du segment dans Géoplan.
Soit afficher un texte par exemple "3 picomètres" en cochant la case "Afficher la longueur:".

La case à cocher "Préciser sur la figure AB=..." vous permet d'afficher sur le segment par exemple "AB=3" ou "AB=3 cm" si vous avez en plus coché la case "Préciser l'unité sur la figure".

Si vous voulez ajouter des flèches de cotation, vous pouvez choisir entre deux modèles qui seront affichés en gris pour ne pas surcharger la figure. Le choix "Au dessus", "En dessous", permet de décider de la position de la flèche : Si dans l'exemple ci-contre, vous choisissez "Au dessus", alors les points A, C et la flèche seront placés dans le sens trigonométrique.


Comment utiliser protothèque avec GéoplanW?

Utiliser le menu Afficher un vecteur.

Le menu afficher un vecteur se présente comme sur la photo ci-contre. il permet d'afficher le représentant (flèche) d'un vecteur

Vous pouvez donc choisir de représenter le vecteur par une flèche. La taille de la pointe de la flèche est proportionelle à la norme du vecteur pour les vecteurs de petite norme afin que la figure soit plus lisible.

Vous pouvez aussi choisir de nommer le vecteur soit par ses extrémités, soit par un autre nom de votre convenance. Le nom du vecteur se trouve au milieu du segment délimité par ses extrémités.


Comment utiliser protothèque avec GéoplanW?

Utiliser le menu Insérer un texte.

Le menu insérer un texte se présente comme sur la photo ci-contre. il permet de placer un texte à la place d'un point, sur un segment ou à l'intérieur d'un triangle

Vous pouvez placer un texte ou une expression comprise par géoplan, comme par exemple:

vous obtiendrez quelque chose de semblable à :


Comment utiliser protothèque avec GéoplanW?

Foire Aux Questions
Questions fréquement posées

A quoi sert le prototype [1 marque côté d'un triangle (auto)] et autres ?
Ils ont été crées pour les besoins du logiciel lors de la création de triangles. (marquage des longueurs...), je les ai rajouté au cas où ils vous seraient utiles. En fait, si vous renseignez ainsi :

1ère extrémité du segment :A
2ème extrémité du segment : B
3ème sommet du triangle : C
Marque (segment) : M

M sera la marque sur le segment [AB], à condition que :
AB=AC ou que AB=BC....

En réalité le test de l'égalité est moins "rigoureux" que cela, pour palier aux erreurs d'arrondi de Géoplan...L''affichage à lieu si IAB-ACI<0,000001 ou IAB-BCI<0,000001.

Lorsque je clique sur [voir], j'ai un message d'erreur : "Il manque fin ....
Il y a en effet un petit soucis pour l'utilisation des activeX, le texte de la figure ne doit pas comporter de " sinon, il risque d'avoir des conflits entre la fin du paramètre de l'activeX et le texte de la figure....Ce bug à été corrigé dans protothèque 3.2 et ne devrait plus apparaitre.

Comment obtenir les « et les » pour entrer une formule mathématique ?
Comme dans Géoplan, il suffit d'utiliser la touche ALT et de taper 174 sur votre pavé numérique pour obtenir « et ALT+175 pour ». Cette ennuyeuse manipulation sera simplifiée dans la prochaine version de protothèque.

La Foire aux questions en direct sur le web